Bug 239393 - RFE: conga cluster: fasttrack storage tab
RFE: conga cluster: fasttrack storage tab
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 00:17 EDT by Jim Parsons
Modified: 2009-04-16 18:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 21:54:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Parsons 2007-05-08 00:17:31 EDT
Description of problem:
Configuring storage to be served via a  cluster as NFS, or Samba is still a
daunting task. This task arc should be simplified like so many other task arcs
have been made easier by the conga UI. The cluster support is all there - all
that is needed is a ui to simplify the procedure. This would entail:
1) adding a new tab to luci
2) a form for a system to be used. This form is the same as the 'add system'
form, but this system would be configured as a single node cluster (so that HA
support could be easily added later) and have all of the necessary packages
pulled down if needed, and installed.
3) Failover domain policy and fencing would be set up to facilitate expansion
with additional nodes later. Typical storage front ends such as NFS would be
offered via the resource agents built for these services and included in the
current cluster suite distribution, with the addtion of a streamlined setup.
4) existing conga ui is available for fine tuning, if desired.
Comment 1 Kiersten (Kerri) Anderson 2007-10-31 11:39:27 EDT
Devel NAK for 5.2 - ended up below the line of available resources.
Comment 3 Ryan McCabe 2009-03-12 21:54:04 EDT
retarget to the storage group

Note You need to log in before you can comment on or make changes to this bug.